=== debian/changelog ===
viennacl (1.5.1-1) unstable; urgency=medium

  [ Toby Smithe ]

  * [d19020e] New upstream version 1.5.1
  * Update debian/control:
    + add myself to Uploaders;
    + update Standards-Version to 3.9.5;
    + move out of contrib.

  [ Michael Wild ]

  * [c10d1b6] Removed patches/*, everything fixed in new upstream
  * [ac8d81b] Exclude editor backup file from dh_clean
  * [8cf95b2] Don't auto-generate changelog anymore, upstream added it
  * [1e6e73c] Remove get-orig-source target; upstream is clean
  * [7975906] Remove erronous DMUA entry
  * [a5a30b6] New upstream version 1.3.0
  * [2db3b5a] Update DH_ALWAYS_EXCLUDE for 1.3.0
  * [0f8c6fd] Configure debian/libviennacl-doc.docs in
              override_dh_auto_configure
  * [b328905] Remove Ubuntu-specific include-directory
  * [359dede] Remove unused build-deps: poppler-utils, asciidoc, lynx
  * [a43ff39] Add 0001-Add-virtual-dtor-to-abstract-result_of-class.patch
  * [a86c820] Add 0002-Fix-declaration-order-of-prod_impl-trans_prod_impl.patch
  * [3456f0e] Add 0003-Generate-kernel-sources-in-build-tree.patch
  * [c70a562] Install headers from DESTDIR instead from source
  * [90ec80a] Cleanup and comments in debian/rules
  * [a99add4] Disable python-support in debian/rules
  * [35a31dc] Configure git-dch to include hashes in the entries
  * [afa8f8d] Standardize Vcs-Git URL
  * [914f232] Upload to experimental because of Wheezy freeze

  [ Anton Gladky ]

  * [35433e9] Set compat level 9.
  * [33bf385] Enable parallel build.

 -- Toby Smithe <tsmithe@ubuntu.com>  Wed, 19 Feb 2014 16:12:04 +0000

viennacl (1.2.0-2) unstable; urgency=low

  * [432b5df] Change debian branch to debian/1.2.0
  * [815d6d8] Fix declaration order of prod_impl() and trans_prod_impl()
    - Added d/p/0004-Fix-declaration-order-of-prod_impl-trans_prod_impl.patch
    (Closes: 682410)

 -- Michael Wild <themiwi@users.sourceforge.net>  Fri, 27 Jul 2012 22:24:56 +0200
