=== debian/control ===
Source: viennacl
Section: science
Priority: extra
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Michael Wild <themiwi@users.sourceforge.net>, Toby Smithe <tsmithe@ubuntu.com>, Anton Gladky <gladk@debian.org>
Build-Depends: debhelper (>= 9), cmake (>= 2.8), libboost-filesystem-dev,
 libboost-chrono-dev, libboost-date-time-dev, libboost-serialization-dev,
 libboost-thread-dev, texlive-latex-extra, texlive-latex-recommended,
 texlive-fonts-recommended, texlive-pstricks, ghostscript, doxygen, 
 opencl-headers, libopencl1
Standards-Version: 3.9.5
Homepage: http://viennacl.sourceforge.net
Vcs-Git: git://git.debian.org/debian-science/packages/viennacl.git
Vcs-Browser: http://git.debian.org/?p=debian-science/packages/viennacl.git

Package: libviennacl-dev
Architecture: all
Section: libdevel
Depends: ${misc:Depends}, opencl-headers, libopencl1
Suggests: libeigen2-dev, libboost-dev, libviennacl-doc
Description: Scientific computing library written in C++ based on OpenCL
 The Vienna Computing Library (ViennaCL) is a scientific computing library
 written in C++ and based on OpenCL. It allows simple, high-level access to the
 vast computing resources available on parallel architectures such as GPUs and
 is primarily focused on common linear algebra operations (BLAS levels 1, 2 and
 3) and the solution of large systems of equations by means of iterative
 methods with optional preconditioner.
 .
 ViennaCL is header-only with no binary library and projects using it only need
 to link against a conforming OpenCL implementation.

Package: libviennacl-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Suggests: libviennacl-dev
Description: ViennaCL API and user documentation
 The Vienna Computing Library (ViennaCL) is a scientific computing library
 written in C++ and based on OpenCL. It allows simple, high-level access to the
 vast computing resources available on parallel architectures such as GPUs and
 is primarily focused on common linear algebra operations (BLAS levels 1, 2 and
 3) and the solution of large systems of equations by means of iterative
 methods with optional preconditioner.
 .
 This package contains the Doxygen-generated source code and the user
 documentation.
