=== debian/changelog ===
viennacl (1.5.2-2) unstable; urgency=medium

  [ Graham Inggs ]
  * [6fb521e] Add ocl-icd-opencl-dev | opencl-dev to BD.
              (Closes: #760232, #761528)

  [ Anton Gladky ]
  * [bee9ecc] Fix license name.
  * [8934d52] Set canonical VCS-field.
  * [029cb4e] Use wrap-and-sort.
  * [9fecf0c] Add autopkgtest.

 -- Anton Gladky <gladk@debian.org>  Thu, 18 Sep 2014 23:07:51 +0200

viennacl (1.5.2-1) unstable; urgency=medium

  * [15d0b5a] New upstream version 1.5.2
    + bug fixes and performance improvements

 -- Toby Smithe <tsmithe@ubuntu.com>  Fri, 16 May 2014 11:43:59 +0100
