=== debian/control ===
Source: viennacl
Section: science
Priority: extra
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders:
 Michael Wild <themiwi@users.sourceforge.net>,
 Toby Smithe <tsmithe@ubuntu.com>,
 Anton Gladky <gladk@debian.org>
Build-Depends:
 cmake (>= 2.8),
 debhelper (>= 9),
 doxygen,
 ghostscript,
 libboost-chrono-dev,
 libboost-date-time-dev,
 libboost-filesystem-dev,
 libboost-serialization-dev,
 libboost-thread-dev,
 ocl-icd-opencl-dev | opencl-dev,
 texlive-fonts-recommended,
 texlive-latex-extra,
 texlive-latex-recommended,
 texlive-pstricks
Standards-Version: 3.9.5
XS-Testsuite: autopkgtest
Homepage: http://viennacl.sourceforge.net
Vcs-Git: git://anonscm.debian.org/debian-science/packages/viennacl.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/viennacl.git

Package: libviennacl-dev
Architecture: all
Section: libdevel
Depends:
 ocl-icd-opencl-dev | opencl-dev,
 ${misc:Depends}
Suggests:
 libboost-dev,
 libeigen2-dev,
 libviennacl-doc
Description: Scientific computing library written in C++ based on OpenCL
 The Vienna Computing Library (ViennaCL) is a scientific computing library
 written in C++ and based on OpenCL. It allows simple, high-level access to the
 vast computing resources available on parallel architectures such as GPUs and
 is primarily focused on common linear algebra operations (BLAS levels 1, 2 and
 3) and the solution of large systems of equations by means of iterative
 methods with optional preconditioner.
 .
 ViennaCL is header-only with no binary library and projects using it only need
 to link against a conforming OpenCL implementation.

Package: libviennacl-doc
Architecture: all
Section: doc
Depends:
 ${misc:Depends}
Suggests:
 libviennacl-dev
Description: ViennaCL API and user documentation
 The Vienna Computing Library (ViennaCL) is a scientific computing library
 written in C++ and based on OpenCL. It allows simple, high-level access to the
 vast computing resources available on parallel architectures such as GPUs and
 is primarily focused on common linear algebra operations (BLAS levels 1, 2 and
 3) and the solution of large systems of equations by means of iterative
 methods with optional preconditioner.
 .
 This package contains the Doxygen-generated source code and the user
 documentation.
