## viennacl 1.7.1%2Bdfsg1

=== debian/tests/control ===
Tests: build1 build2 build3
Restrictions: allow-stderr
Depends: libviennacl-dev, build-essential
