=== debian/changelog ===
viennacl (1.7.1+dfsg1-6) unstable; urgency=medium

  * Team upload
  * Allow stderr output in autopkgtests for GCC warnings on armhf

 -- Graham Inggs <ginggs@debian.org>  Sun, 04 Oct 2020 12:52:41 +0000

viennacl (1.7.1+dfsg1-5) unstable; urgency=medium

  * [02bf939] Do not install README and changelog in -dev package. (Closes: #901041)
  * [394bb54] Remove changelog-file from -doc
  * [a549661] Update versions in Breaks/Replaces

 -- Anton Gladky <gladk@debian.org>  Mon, 11 Jun 2018 19:57:01 +0200

viennacl (1.7.1+dfsg1-4) unstable; urgency=medium

  * Team upload.
  * [113b0e5] Add Breaks/Replaces for the libviennacl-doc. (Closes: #901041)

 -- Anton Gladky <gladk@debian.org>  Sat, 09 Jun 2018 16:33:26 +0200

viennacl (1.7.1+dfsg1-3) unstable; urgency=medium

  * Team upload.
  * [6d46561] Apply cme fix dpkg (Standards-Version: 4.1.4)
  * [488529c] Set compat-level 11
  * [860b5ae] Remove myself from uploaders
  * [09dd8a8] Fix path to docs

 -- Anton Gladky <gladk@debian.org>  Thu, 07 Jun 2018 20:37:14 +0200

viennacl (1.7.1+dfsg1-2) unstable; urgency=medium

  * [1135942] Update d/gbp.conf.
  * [b6bf1f9] Move libboost-dev as a dependency of libviennacl-dev.
  * [3e37d8e] Apply cme fix dpkg.

 -- Anton Gladky <gladk@debian.org>  Sun, 04 Sep 2016 08:07:26 +0200

viennacl (1.7.1+dfsg1-1) unstable; urgency=medium

  * [7cbbc94] Update d/watch.
  * [fa23c51] Add Files-Excluded to d/copyright.
  * [4ff9269] Use packaged jquery.js
  * [146f730] Remove unused d/patch.
  * [49e9931] New upstream version 1.7.1+dfsg1
  * [678e017] Use simpler doc-file.
  * [932026d] Apply cme fix dpkg.
  * [f9402fb] Fix duplicated licenses in d/copyright.

 -- Anton Gladky <gladk@debian.org>  Mon, 25 Jan 2016 10:53:04 +0100
