=== debian/control ===
Source: viennacl
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Michael Wild <themiwi@users.sourceforge.net>,
           Toby Smithe <tsmithe@ubuntu.com>
Section: science
Testsuite: autopkgtest
Priority: optional
Build-Depends: cmake,
               debhelper (>= 11~),
               doxygen,
               ghostscript,
               libboost-chrono-dev,
               libboost-date-time-dev,
               libboost-filesystem-dev,
               libboost-serialization-dev,
               libboost-thread-dev,
               ocl-icd-opencl-dev | opencl-dev,
               texlive-fonts-recommended,
               texlive-latex-extra,
               texlive-latex-recommended,
               texlive-pstricks
Standards-Version: 4.1.4
Vcs-Browser: https://salsa.debian.org/science-team/viennacl
Vcs-Git: https://salsa.debian.org/science-team/viennacl.git
Homepage: http://viennacl.sourceforge.net

Package: libviennacl-dev
Architecture: all
Section: libdevel
Depends: ocl-icd-opencl-dev | opencl-dev,
         ${misc:Depends},
         libboost-dev
Suggests: libviennacl-doc
Description: Scientific computing library written in C++ based on OpenCL
 The Vienna Computing Library (ViennaCL) is a scientific computing library
 written in C++ and based on OpenCL. It allows simple, high-level access to the
 vast computing resources available on parallel architectures such as GPUs and
 is primarily focused on common linear algebra operations (BLAS levels 1, 2 and
 3) and the solution of large systems of equations by means of iterative
 methods with optional preconditioner.
 .
 ViennaCL is header-only with no binary library and projects using it only need
 to link against a conforming OpenCL implementation.

Package: libviennacl-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
         libjs-jquery
Breaks: libviennacl-dev ( << 1.7.1+dfsg1-5)
Replaces: libviennacl-dev ( << 1.7.1+dfsg1-5)
Suggests: libviennacl-dev
Description: ViennaCL API and user documentation
 The Vienna Computing Library (ViennaCL) is a scientific computing library
 written in C++ and based on OpenCL. It allows simple, high-level access to the
 vast computing resources available on parallel architectures such as GPUs and
 is primarily focused on common linear algebra operations (BLAS levels 1, 2 and
 3) and the solution of large systems of equations by means of iterative
 methods with optional preconditioner.
 .
 This package contains the Doxygen-generated source code and the user
 documentation.
